/**
 * Created by School <3 on 6-12-2017.
 */

export class Product
{
    constructor(
        public id?: number,
        public description?: string,
        public manufacturer?: string,
        public amount?: number,
        public measureUnit?: string,
        public commentaar?: string,
        public kcal?: string,
        public kjoule?: string,
        public stikstof?: string,
        public eiwit?: string,
        public eiwitPlant?: string,
        public eiwitDierlijk?: string,
        public vet?: string,
        public vetzurenTotaal?: string,
        public veturenVerzadigd?: string,
        public eov?: string,
        public mov?: string,
        public linolzuur?: string,
        public transvet?: string,
        public ala?: string,
        public epa?: string,
        public dha?: string,
        public cholesterol?: string,
        public koolydraten?: string,
        public suiker?: string,
        public mvKh?: string,
        public polyolen?: string,
        public vezels?: string,
        public water?: string,
        public alchol?: string,
        public calcium?: string,
        public fosfor?: string,
        public ijzerT?: string,
        public ijzerHaem?: string,
        public ijzerNonHaem?: string,
        public natrium?: string,
        public kalium?: string,
        public magnesium?: string,
        public zink?: string,
        public selenium?: string,
        public koper?: string,
        public jodium?: string,
        public retinol?: string,
        public bCarteen?: string,
        public vitB1?: string,
        public vitB2?: string,
        public vitB6?: string,
        public vitB12?: string,
        public vitD?: string,
        public vitE?: string,
        public vitC?: string,
        public folaat?: string,
        public foliumzuur?: string,
        public nicZuur?: string,
        public aTocoferol?: string,
        public bTocoferol?: string,
        public gammaTocoferol?: string,
        public dTocoferol?: string,
        public aCaroteen?: string,
        public luteine?: string,
        public zeaxanthine?: string,
        public bCryptoxanthine?: string,
        public lycopeen?: string,
        public vitK?: string,
        public vitK1?: string,
        public vitK2?: string,
        public cholecalciferol?: string,
        public addedByCoach?: boolean,
        public checked?: boolean,
        public userId?: number
    ){

    }
}
